Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.higgins.ics.ws.wsdl
Class UserProfileTO

    java.lang.Object
      org.eclipse.higgins.ics.ws.wsdl.UserProfileTO

All Implemented Interfaces:
  Serializable

public class UserProfileTO
extends Object
implements Serializable

See Also:
  Serialized Form

Constructor Summary
`UserProfileTO()`
`UserProfileTO(Calendar created, String email, String firstName, String lastName, String loginName, Calendar modified, String[] oneTimePasswords, String passphraseHash, byte[] passwordIsapMd5, byte[] privateKey, String[] privateSelectorINumbers, String privateUserINumber, String sms, String status, String usedFrom)`

Method Summary
`boolean` | `equals(Object obj)`
`Calendar` | `getCreated()` Gets the created value for this UserProfileTO.
`static org.apache.axis.encoding.Deserializer` | `getDeserializer(String mechType, Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Deserializer
`String` | `getEmail()` Gets the email value for this UserProfileTO.
`String` | `getFirstName()` Gets the firstName value for this UserProfileTO.
`String` | `getLastName()` Gets the lastName value for this UserProfileTO.
`String` | `getLoginName()` Gets the loginName value for this UserProfileTO.
`Calendar` | `getModified()` Gets the modified value for this UserProfileTO.
`String[]` | `getOneTimePasswords()` Gets the oneTimePasswords value for this UserProfileTO.
`String` | `getPassphraseHash()` Gets the passphraseHash value for this UserProfileTO.
`byte[]` | `getPasswordIsapMd5()` Gets the passwordIsapMd5 value for this UserProfileTO.
`byte[]` | `getPrivateKey()` Gets the privateKey value for this UserProfileTO.
`String[]` | `getPrivateSelectorINumbers()` Gets the privateSelectorINumbers value for this UserProfileTO.
`String` | `getPrivateUserINumber()` Gets the privateUserINumber value for this UserProfileTO.
`static org.apache.axis.encoding.Serializer` | `getSerializer(String mechType, Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Serializer
`String` | `getSms()` Gets the sms value for this UserProfileTO.
`String` | `getStatus()` Gets the status value for this UserProfileTO.
`static org.apache.axis.description.TypeDesc` | `getTypeDesc()` Return type metadata object
`String` | `getUsedFrom()` Gets the usedFrom value for this UserProfileTO.
`int` | `hashCode()`
`void` | `setCreated(Calendar created)` Sets the created value for this UserProfileTO.
`void` | `setEmail(String email)` Sets the email value for this UserProfileTO.
`void` | `setFirstName(String firstName)` Sets the firstName value for this UserProfileTO.
`void` | `setLastName(String lastName)` Sets the lastName value for this UserProfileTO.
`void` | `setLoginName(String loginName)` Sets the loginName value for this UserProfileTO.
`void` | `setModified(Calendar modified)` Sets the modified value for this UserProfileTO.
`void` | `setOneTimePasswords(String[] oneTimePasswords)` Sets the oneTimePasswords value for this UserProfileTO.
`void` | `setPassphraseHash(String passphraseHash)` Sets the passphraseHash value for this UserProfileTO.
`void` | `setPasswordIsapMd5(byte[] passwordIsapMd5)` Sets the passwordIsapMd5 value for this UserProfileTO.
`void` | `setPrivateKey(byte[] privateKey)` Sets the privateKey value for this UserProfileTO.
`void` | `setPrivateSelectorINumbers(String[] privateSelectorINumbers)` Sets the privateSelectorINumbers value for this UserProfileTO.
`void` | `setPrivateUserINumber(String privateUserINumber)` Sets the privateUserINumber value for this UserProfileTO.
`void` | `setSms(String sms)` Sets the sms value for this UserProfileTO.
`void` | `setStatus(String status)` Sets the status value for this UserProfileTO.
`void` | `setUsedFrom(String usedFrom)` Sets the usedFrom value for this UserProfileTO.

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserProfileTO

    public UserProfileTO()

### UserProfileTO

    public UserProfileTO(Calendar created,
                         String email,
                         String firstName,
                         String lastName,
                         String loginName,
                         Calendar modified,
                         String[] oneTimePasswords,
                         String passphraseHash,
                         byte[] passwordIsapMd5,
                         byte[] privateKey,
                         String[] privateSelectorINumbers,
                         String privateUserINumber,
                         String sms,
                         String status,
                         String usedFrom)

Method Detail

### getCreated

    public Calendar getCreated()

  Gets the created value for this UserProfileTO.

  Returns:
    created

### setCreated

    public void setCreated(Calendar created)

  Sets the created value for this UserProfileTO.

  Parameters:
    `created` -

### getEmail

    public String getEmail()

  Gets the email value for this UserProfileTO.

  Returns:
    email

### setEmail

    public void setEmail(String email)

  Sets the email value for this UserProfileTO.

  Parameters:
    `email` -

### getFirstName

    public String getFirstName()

  Gets the firstName value for this UserProfileTO.

  Returns:
    firstName

### setFirstName

    public void setFirstName(String firstName)

  Sets the firstName value for this UserProfileTO.

  Parameters:
    `firstName` -

### getLastName

    public String getLastName()

  Gets the lastName value for this UserProfileTO.

  Returns:
    lastName

### setLastName

    public void setLastName(String lastName)

  Sets the lastName value for this UserProfileTO.

  Parameters:
    `lastName` -

### getLoginName

    public String getLoginName()

  Gets the loginName value for this UserProfileTO.

  Returns:
    loginName

### setLoginName

    public void setLoginName(String loginName)

  Sets the loginName value for this UserProfileTO.

  Parameters:
    `loginName` -

### getModified

    public Calendar getModified()

  Gets the modified value for this UserProfileTO.

  Returns:
    modified

### setModified

    public void setModified(Calendar modified)

  Sets the modified value for this UserProfileTO.

  Parameters:
    `modified` -

### getOneTimePasswords

    public String[] getOneTimePasswords()

  Gets the oneTimePasswords value for this UserProfileTO.

  Returns:
    oneTimePasswords

### setOneTimePasswords

    public void setOneTimePasswords(String[] oneTimePasswords)

  Sets the oneTimePasswords value for this UserProfileTO.

  Parameters:
    `oneTimePasswords` -

### getPassphraseHash

    public String getPassphraseHash()

  Gets the passphraseHash value for this UserProfileTO.

  Returns:
    passphraseHash

### setPassphraseHash

    public void setPassphraseHash(String passphraseHash)

  Sets the passphraseHash value for this UserProfileTO.

  Parameters:
    `passphraseHash` -

### getPasswordIsapMd5

    public byte[] getPasswordIsapMd5()

  Gets the passwordIsapMd5 value for this UserProfileTO.

  Returns:
    passwordIsapMd5

### setPasswordIsapMd5

    public void setPasswordIsapMd5(byte[] passwordIsapMd5)

  Sets the passwordIsapMd5 value for this UserProfileTO.

  Parameters:
    `passwordIsapMd5` -

### getPrivateKey

    public byte[] getPrivateKey()

  Gets the privateKey value for this UserProfileTO.

  Returns:
    privateKey

### setPrivateKey

    public void setPrivateKey(byte[] privateKey)

  Sets the privateKey value for this UserProfileTO.

  Parameters:
    `privateKey` -

### getPrivateSelectorINumbers

    public String[] getPrivateSelectorINumbers()

  Gets the privateSelectorINumbers value for this UserProfileTO.

  Returns:
    privateSelectorINumbers

### setPrivateSelectorINumbers

    public void setPrivateSelectorINumbers(String[] privateSelectorINumbers)

  Sets the privateSelectorINumbers value for this UserProfileTO.

  Parameters:
    `privateSelectorINumbers` -

### getPrivateUserINumber

    public String getPrivateUserINumber()

  Gets the privateUserINumber value for this UserProfileTO.

  Returns:
    privateUserINumber

### setPrivateUserINumber

    public void setPrivateUserINumber(String privateUserINumber)

  Sets the privateUserINumber value for this UserProfileTO.

  Parameters:
    `privateUserINumber` -

### getSms

    public String getSms()

  Gets the sms value for this UserProfileTO.

  Returns:
    sms

### setSms

    public void setSms(String sms)

  Sets the sms value for this UserProfileTO.

  Parameters:
    `sms` -

### getStatus

    public String getStatus()

  Gets the status value for this UserProfileTO.

  Returns:
    status

### setStatus

    public void setStatus(String status)

  Sets the status value for this UserProfileTO.

  Parameters:
    `status` -

### getUsedFrom

    public String getUsedFrom()

  Gets the usedFrom value for this UserProfileTO.

  Returns:
    usedFrom

### setUsedFrom

    public void setUsedFrom(String usedFrom)

  Sets the usedFrom value for this UserProfileTO.

  Parameters:
    `usedFrom` -

### equals

    public boolean equals(Object obj)

### hashCode

    public int hashCode()

### getTypeDesc

    public static org.apache.axis.description.TypeDesc getTypeDesc()

  Return type metadata object

### getSerializer

    public static org.apache.axis.encoding.Serializer getSerializer(String mechType,
                                                                    Class _javaType,
                                                                    javax.xml.namespace.QName _xmlType)

  Get Custom Serializer

### getDeserializer

    public static org.apache.axis.encoding.Deserializer getDeserializer(String mechType,
                                                                        Class _javaType,
                                                                        javax.xml.namespace.QName _xmlType)

  Get Custom Deserializer

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD